    /*
     *  call-seq:
     *     searcher.explain(query, doc_id) -> Explanation
     *
     *  Create an explanation object to explain the score returned for a
     *  particular document at +doc_id+ in the index for the query +query+.
     *
     *  Usually used like this;
     *
     *    puts searcher.explain(query, doc_id).to_s
     */
    static VALUE
    frt_sea_explain(VALUE self, VALUE rquery, VALUE rdoc_id)
    {
        GET_SEA();
        Query *query;
        Explanation *expl;
        Data_Get_Struct(rquery, Query, query);
        expl = sea->explain(sea, query, FIX2INT(rdoc_id));
        return Data_Wrap_Struct(cExplanation, NULL, &expl_destroy, expl);
    }